import './TextArea.styles_m56ch5.css';
import { styled } from '@linaria/react';
import { tokens, privateTokens } from './TextArea.tokens.js';
import { component, mergeConfig } from '../../engines/common.js';
import { tooltipConfig } from '../Tooltip/Tooltip.js';

var mergedConfig = /*#__PURE__*/mergeConfig(tooltipConfig);
var Tooltip = /*#__PURE__*/component(mergedConfig);
var _exp = function _exp() {
  return Tooltip;
};
var Hint = /*#__PURE__*/styled(_exp())({
  name: "Hint",
  "class": "h1yivid9",
  propsAsIs: true
});
var _exp2 = function _exp2() {
  return function (_ref) {
    var isInnerLabel = _ref.isInnerLabel;
    return isInnerLabel ? "var(".concat(tokens.titleCaptionInnerLabelOffset, ")") : "var(".concat(tokens.labelMarginBottom, ")");
  };
};
var OuterLabelWrapper = /*#__PURE__*/styled('div')({
  name: "OuterLabelWrapper",
  "class": "owtnlfg",
  propsAsIs: false,
  vars: {
    "owtnlfg-0": [/*#__PURE__*/_exp2()]
  }
});
var StyledLabel = /*#__PURE__*/styled('div')({
  name: "StyledLabel",
  "class": "si8u1xi",
  propsAsIs: false
});
var TitleCaption = /*#__PURE__*/styled('div')({
  name: "TitleCaption",
  "class": "tycfbp7",
  propsAsIs: false
});
var StyledIndicatorWrapper = /*#__PURE__*/styled('div')({
  name: "StyledIndicatorWrapper",
  "class": "s11epeer",
  propsAsIs: false
});
var _exp22 = function _exp22() {
  return function (_ref2) {
    var inheritFont = _ref2.inheritFont;
    return inheritFont ? 'inherit' : "var(".concat(tokens.labelOuterFontFamily, ", var(").concat(tokens.inputFontFamily, "))");
  };
};
var _exp23 = function _exp23() {
  return function (_ref3) {
    var inheritFont = _ref3.inheritFont;
    return inheritFont ? 'inherit' : "var(".concat(tokens.labelOuterFontSize, ", var(").concat(tokens.inputFontSize, "))");
  };
};
var _exp24 = function _exp24() {
  return function (_ref4) {
    var inheritFont = _ref4.inheritFont;
    return inheritFont ? 'inherit' : "var(".concat(tokens.labelOuterFontStyle, ", var(").concat(tokens.inputFontStyle, "))");
  };
};
var _exp25 = function _exp25() {
  return function (_ref5) {
    var inheritFont = _ref5.inheritFont;
    return inheritFont ? 'inherit' : "var(".concat(tokens.labelOuterFontWeight, ", var(").concat(tokens.inputFontWeight, "))");
  };
};
var _exp26 = function _exp26() {
  return function (_ref6) {
    var inheritFont = _ref6.inheritFont;
    return inheritFont ? 'inherit' : "var(".concat(tokens.labelOuterLetterSpacing, ", var(").concat(tokens.inputLetterSpacing, "))");
  };
};
var _exp27 = function _exp27() {
  return function (_ref7) {
    var inheritFont = _ref7.inheritFont;
    return inheritFont ? 'inherit' : "var(".concat(tokens.labelOuterLineHeight, ", var(").concat(tokens.inputLineHeight, "))");
  };
};
var StyledOptionalText = /*#__PURE__*/styled('span')({
  name: "StyledOptionalText",
  "class": "spja5t6",
  propsAsIs: false,
  vars: {
    "spja5t6-0": [/*#__PURE__*/_exp22()],
    "spja5t6-1": [/*#__PURE__*/_exp23()],
    "spja5t6-2": [/*#__PURE__*/_exp24()],
    "spja5t6-3": [/*#__PURE__*/_exp25()],
    "spja5t6-4": [/*#__PURE__*/_exp26()],
    "spja5t6-5": [/*#__PURE__*/_exp27()]
  }
});
var StyledHintWrapper = /*#__PURE__*/styled('div')({
  name: "StyledHintWrapper",
  "class": "s1xye7a9",
  propsAsIs: false
});
var HintTargetWrapper = /*#__PURE__*/styled('div')({
  name: "HintTargetWrapper",
  "class": "h1g8zt0w",
  propsAsIs: false
});
var HintIconWrapper = /*#__PURE__*/styled('div')({
  name: "HintIconWrapper",
  "class": "h1hy5pz9",
  propsAsIs: false
});
var _exp35 = function _exp35() {
  return function (_ref8) {
    var hasExplicitHeight = _ref8.hasExplicitHeight;
    return hasExplicitHeight ? '1' : 'unset';
  };
};
var _exp37 = function _exp37() {
  return function (_ref9) {
    var hasHelper = _ref9.hasHelper,
      isClear = _ref9.isClear;
    return hasHelper && !isClear ? '0rem' : "var(".concat(tokens.inputPaddingBottomInnerLabel, ", var(").concat(tokens.inputPaddingBottom, "))");
  };
};
var _exp38 = function _exp38() {
  return function (_ref0) {
    var hasHeader = _ref0.hasHeader;
    return hasHeader ? 'unset' : "var(".concat(tokens.inputPaddingTop, ")");
  };
};
var _exp39 = function _exp39() {
  return function (_ref1) {
    var hasHelper = _ref1.hasHelper,
      isClear = _ref1.isClear;
    return hasHelper && !isClear ? "var(".concat(tokens.inputPaddingBottomWithHelpers, ")") : "var(".concat(tokens.inputPaddingBottom, ")");
  };
};
var _exp40 = function _exp40() {
  return function (_ref10) {
    var hasHelper = _ref10.hasHelper,
      isClear = _ref10.isClear;
    return hasHelper && !isClear ? "var(".concat(tokens.borderRadiusWithHelpers, ")") : "var(".concat(tokens.borderRadius, ")");
  };
};
var StyledTextAreaWrapper = /*#__PURE__*/styled('div')({
  name: "StyledTextAreaWrapper",
  "class": "s1y2lanc",
  propsAsIs: false,
  vars: {
    "s1y2lanc-0": [/*#__PURE__*/_exp35()],
    "s1y2lanc-1": [/*#__PURE__*/_exp37()],
    "s1y2lanc-2": [/*#__PURE__*/_exp38()],
    "s1y2lanc-3": [/*#__PURE__*/_exp39()],
    "s1y2lanc-4": [/*#__PURE__*/_exp40()]
  }
});
var _exp41 = function _exp41() {
  return function (_ref11) {
    var hasHeader = _ref11.hasHeader;
    return hasHeader ? "var(".concat(tokens.inputPaddingTop, ")") : 'unset';
  };
};
var StyledContentWrapper = /*#__PURE__*/styled('div')({
  name: "StyledContentWrapper",
  "class": "s5kdc3h",
  propsAsIs: false,
  vars: {
    "s5kdc3h-0": [/*#__PURE__*/_exp41()]
  }
});
var _exp43 = function _exp43() {
  return function (_ref12) {
    var hasHeader = _ref12.hasHeader;
    return hasHeader ? "var(".concat(tokens.inputPaddingTop, ")") : "var(".concat(tokens.rightContentTop, ")");
  };
};
var StyledContent = /*#__PURE__*/styled('div')({
  name: "StyledContent",
  "class": "s133nmpo",
  propsAsIs: false,
  vars: {
    "s133nmpo-0": [/*#__PURE__*/_exp43()]
  }
});
var StyledHeaderSlot = /*#__PURE__*/styled('div')({
  name: "StyledHeaderSlot",
  "class": "s1jogxr4",
  propsAsIs: false
});
var _exp51 = function _exp51() {
  return function (_ref13) {
    var hasExplicitHeight = _ref13.hasExplicitHeight;
    return hasExplicitHeight ? '1' : 'unset';
  };
};
var StyledContainer = /*#__PURE__*/styled('div')({
  name: "StyledContainer",
  "class": "sdl1y8h",
  propsAsIs: false,
  vars: {
    "sdl1y8h-0": [/*#__PURE__*/_exp51()]
  }
});
var _exp54 = function _exp54() {
  return function (_ref14) {
    var resize = _ref14.resize;
    return resize || 'none';
  };
};
var _exp55 = function _exp55() {
  return function (_ref15) {
    var cols = _ref15.cols;
    return cols ? 'unset' : '100%';
  };
};
var _exp57 = function _exp57() {
  return function (_ref16) {
    var hasExplicitHeight = _ref16.hasExplicitHeight;
    return hasExplicitHeight ? '100%' : "calc(var(".concat(tokens.inputHeight, ") - var(").concat(tokens.inputPaddingBottom, "))");
  };
};
var _exp58 = function _exp58() {
  return function (_ref17) {
    var hasExplicitHeight = _ref17.hasExplicitHeight,
      rows = _ref17.rows;
    return rows || hasExplicitHeight ? 'unset' : "var(".concat(privateTokens.inputActualHeight, ")");
  };
};
var _exp60 = function _exp60() {
  return function (_ref18) {
    var hasContentRight = _ref18.hasContentRight;
    return hasContentRight ? "var(".concat(tokens.inputPaddingRightWithRightContent, ", 0)") : "var(".concat(tokens.inputPaddingRight, ", 0)");
  };
};
var StyledTextArea = /*#__PURE__*/styled('textarea')({
  name: "StyledTextArea",
  "class": "smklzrt",
  propsAsIs: false,
  vars: {
    "smklzrt-0": [/*#__PURE__*/_exp54()],
    "smklzrt-1": [/*#__PURE__*/_exp55()],
    "smklzrt-2": [/*#__PURE__*/_exp57()],
    "smklzrt-3": [/*#__PURE__*/_exp58()],
    "smklzrt-4": [/*#__PURE__*/_exp60()]
  }
});
var _exp79 = function _exp79() {
  return function (_ref19) {
    var cols = _ref19.cols;
    return cols ? 'unset' : '100%';
  };
};
var _exp81 = function _exp81() {
  return function (_ref20) {
    var cols = _ref20.cols;
    return cols ? 'unset' : '0.0625rem !important';
  };
};
var _exp82 = function _exp82() {
  return function (_ref21) {
    var hasContentRight = _ref21.hasContentRight;
    return hasContentRight ? "calc(var(".concat(privateTokens.scrollbarCompensationPadding, ", 0) + var(").concat(tokens.inputPaddingRightWithRightContent, ", 0))") : "calc(var(".concat(privateTokens.scrollbarCompensationPadding, ", 0) + var(").concat(tokens.inputPaddingRight, ", 0))");
  };
};
var StyledHiddenTextArea = /*#__PURE__*/styled('textarea')({
  name: "StyledHiddenTextArea",
  "class": "s18bhrei",
  propsAsIs: false,
  vars: {
    "s18bhrei-0": [/*#__PURE__*/_exp79()],
    "s18bhrei-1": [/*#__PURE__*/_exp81()],
    "s18bhrei-2": [/*#__PURE__*/_exp82()]
  }
});
var StyledHelpers = /*#__PURE__*/styled('div')({
  name: "StyledHelpers",
  "class": "sqlfciu",
  propsAsIs: false
});
var StyledOutsideHelpersWrapper = /*#__PURE__*/styled('div')({
  name: "StyledOutsideHelpersWrapper",
  "class": "s15x5e8k",
  propsAsIs: false
});
var StyledLeftHelper = /*#__PURE__*/styled('span')({
  name: "StyledLeftHelper",
  "class": "s178zwma",
  propsAsIs: false
});
var _exp114 = function _exp114() {
  return StyledLeftHelper;
};
var StyledRightHelper = /*#__PURE__*/styled(_exp114())({
  name: "StyledRightHelper",
  "class": "s1vvkxz9",
  propsAsIs: true
});
var _exp120 = function _exp120() {
  return function (_ref22) {
    var hasContentRight = _ref22.hasContentRight;
    return hasContentRight ? "var(".concat(tokens.inputPaddingRightWithRightContent, ")") : "var(".concat(tokens.inputPaddingRight, ")");
  };
};
var StyledPlaceholder = /*#__PURE__*/styled('label')({
  name: "StyledPlaceholder",
  "class": "s5ubuwp",
  propsAsIs: false,
  vars: {
    "s5ubuwp-0": [/*#__PURE__*/_exp120()]
  }
});
var StyledIndicator = /*#__PURE__*/styled('div')({
  name: "StyledIndicator",
  "class": "s7jhnvd",
  propsAsIs: false
});

export { Hint, HintIconWrapper, HintTargetWrapper, OuterLabelWrapper, StyledContainer, StyledContent, StyledContentWrapper, StyledHeaderSlot, StyledHelpers, StyledHiddenTextArea, StyledHintWrapper, StyledIndicator, StyledIndicatorWrapper, StyledLabel, StyledLeftHelper, StyledOptionalText, StyledOutsideHelpersWrapper, StyledPlaceholder, StyledRightHelper, StyledTextArea, StyledTextAreaWrapper, TitleCaption };
